summaryrefslogtreecommitdiff
path: root/dev-util
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/Manifest.gzbin69142 -> 69161 bytes
-rw-r--r--dev-util/clazy/Manifest3
-rw-r--r--dev-util/clazy/clazy-1.11-r2.ebuild56
-rw-r--r--dev-util/clazy/files/clazy-1.11-fix-llvm-15.patch223
-rw-r--r--dev-util/clazy/files/clazy-1.11-fix-regex-detect.patch25
-rw-r--r--dev-util/dbus-test-runner/Manifest2
-rw-r--r--dev-util/dbus-test-runner/dbus-test-runner-19.04.0-r2.ebuild2
-rw-r--r--dev-util/gdbus-codegen/Manifest2
-rw-r--r--dev-util/gdbus-codegen/gdbus-codegen-2.74.1.ebuild72
-rw-r--r--dev-util/glib-utils/Manifest2
-rw-r--r--dev-util/glib-utils/glib-utils-2.74.1.ebuild62
-rw-r--r--dev-util/kdevelop-pg-qt/Manifest4
-rw-r--r--dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1.ebuild24
-rw-r--r--dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1_p20220904.ebuild2
14 files changed, 449 insertions, 30 deletions
diff --git a/dev-util/Manifest.gz b/dev-util/Manifest.gz
index 7f85a4f7f474..39a5d18d97b0 100644
--- a/dev-util/Manifest.gz
+++ b/dev-util/Manifest.gz
Binary files differ
diff --git a/dev-util/clazy/Manifest b/dev-util/clazy/Manifest
index 50608c282a3b..f1a5bbad0cba 100644
--- a/dev-util/clazy/Manifest
+++ b/dev-util/clazy/Manifest
@@ -1,3 +1,6 @@
+AUX clazy-1.11-fix-llvm-15.patch 12053 BLAKE2B d329cb3a93a7b9cf6256590e281c6f13955eb8a83a9c0ef17a8d5fe719ff1f09164aec56ea8a31391adb5a9490ce6a4e8336a32dc22f872182e5491d81b89e70 SHA512 285e73848d9fc7bf8eada208660cb8d42c245617205be9bae708e6f9e0d8b06ba814a305b33d641589f8a0ee17a71156cea2450fd2e7d5a342389eada5421e34
+AUX clazy-1.11-fix-regex-detect.patch 859 BLAKE2B 6a953c3927dcc1a3aac5aab55c01eb1eaf977f40c96c26f57032608de8e0d709ae6bf67f5d04f991ee14ded80023a8faf19b9ea18f9a2e2dd9dc19b2831ff58c SHA512 8bd1ab72bf36620250a228f9cb45fe403853d16c5eec8704c6980405ffca71cfcea82f9587b3b3f748ab623ecee757cb8adc54c7a137c5070eb04e26d06fab36
DIST clazy-1.11.tar.xz 404088 BLAKE2B 1a69fe07ef81a0efe3c9db9129083247d60943592967f705d62d3859039cec250673eecc06184f70d134cbab85708d957b0a085beff8b3e46325a69547e005b7 SHA512 6a7c162392dd30aea29669275cea814d6daccf7931b8cdb20997f9bbff5619832d5461a6d0f854ecbc4726e52b6937c4f9cb8651087ffe73676c04239a38ca2b
EBUILD clazy-1.11-r1.ebuild 1169 BLAKE2B 941ab83e4ee06ec2da6b81f20299262124f120ce8196b0b81ceac6fdd0eb878492428cf29926b648399e5ef252831bbb2cb09cbe2c0b4b44220d554d51b02112 SHA512 e466bc654f1a3fca0ab13f1dcaf604350f7ab300e15d31ed6ade12efe3bbf41908242c00b8dffb3029173b59d74916b1432212f0b95e754625d9b7a48dc39eac
+EBUILD clazy-1.11-r2.ebuild 1265 BLAKE2B 13214e3943139d9945a6a238717edc9bc50e130f658ed1fd573b69b1b7c995f686d8fb6f81085709e283961bf2193bb68b8dd5497c3f563a198a6ef4c86ed3a4 SHA512 3f37a4009c65e348bd4e79ab9a8db6e13b7011c3688bf4cca6083579a3c79d20e7a1461f9b596a6ec393b6128aee803db8e53e7f5404ec923cf14fcf67c483ae
MISC metadata.xml 318 BLAKE2B 922a5e32e706b2976c5f359a14194d268d3f499398576c80ce5fad8c0fcea0fbf048de4480a80a6a1889c88b8b6c14147654a3ab4d5ffbcc258c2290da63f6d1 SHA512 614cb8dda7ad2088e5d6ef39b449bb4be0ac72cd0231c320188d76d1816dce6490c5114bb4798112c4b11d99d30a9e82ff8fcf08ffa8c049589682a5e38208f6
diff --git a/dev-util/clazy/clazy-1.11-r2.ebuild b/dev-util/clazy/clazy-1.11-r2.ebuild
new file mode 100644
index 000000000000..331c221f4408
--- /dev/null
+++ b/dev-util/clazy/clazy-1.11-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_MAX_SLOT=15
+PYTHON_COMPAT=( python3_{8..11} )
+inherit cmake llvm python-any-r1
+
+DESCRIPTION="Compiler plugin which allows clang to understand Qt semantics"
+HOMEPAGE="https://apps.kde.org/clazy"
+SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="<sys-devel/clang-$((${LLVM_MAX_SLOT} + 1)):="
+DEPEND="${RDEPEND}"
+BDEPEND="test? ( ${PYTHON_DEPS} )"
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-regex-detect.patch"
+ "${FILESDIR}/${P}-fix-llvm-15.patch"
+)
+
+llvm_check_deps() {
+ has_version "sys-devel/clang:${LLVM_SLOT}" && has_version "sys-devel/llvm:${LLVM_SLOT}"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+
+ llvm_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+
+ sed -e '/install(FILES README.md COPYING-LGPL2.txt checks.json DESTINATION/d' \
+ -i CMakeLists.txt || die
+}
+
+src_configure() {
+ export LLVM_ROOT="$(get_llvm_prefix -d ${LLVM_MAX_SLOT})"
+
+ cmake_src_configure
+}
+
+src_test() {
+ # Run tests against built copy, not installed
+ # bug #811723
+ PATH="${BUILD_DIR}/bin:${PATH}" LD_LIBRARY_PATH="${BUILD_DIR}/lib" cmake_src_test
+}
diff --git a/dev-util/clazy/files/clazy-1.11-fix-llvm-15.patch b/dev-util/clazy/files/clazy-1.11-fix-llvm-15.patch
new file mode 100644
index 000000000000..b98e4b1c2fee
--- /dev/null
+++ b/dev-util/clazy/files/clazy-1.11-fix-llvm-15.patch
@@ -0,0 +1,223 @@
+From 20fca52da739ebefa47e35f6b338bb99a0da3cfe Mon Sep 17 00:00:00 2001
+From: Cristian Adam <cristian.adam@qt.io>
+Date: Tue, 6 Sep 2022 16:30:02 +0200
+Subject: [PATCH] Build fixes for LLVM/Clang 15.0.0
+
+Change-Id: Icc39a0b1acffb5a6a4798b1259d8ad4e7dd47bc5
+---
+ CMakeLists.txt | 6 ++++++
+ src/PreProcessorVisitor.cpp | 2 +-
+ src/PreProcessorVisitor.h | 2 +-
+ src/SourceCompatibilityHelpers.h | 15 +++++++++++++++
+ src/Utils.cpp | 3 ++-
+ src/checkbase.cpp | 4 ++--
+ src/checkbase.h | 4 ++--
+ src/checks/manuallevel/qt6-fwd-fixes.cpp | 2 +-
+ src/checks/manuallevel/qt6-fwd-fixes.h | 2 +-
+ src/checks/manuallevel/qt6-header-fixes.cpp | 2 +-
+ src/checks/manuallevel/qt6-header-fixes.h | 2 +-
+ 11 files changed, 33 insertions(+), 11 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 3c780b0d..100135af 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -114,6 +114,10 @@ else()
+ set(clang_tooling_refactoring_lib clangToolingRefactor)
+ endif()
+
++if (${LLVM_VERSION} VERSION_GREATER_EQUAL "15.0.0")
++ set(clang_support_lib clangSupport)
++endif()
++
+ macro(link_to_llvm name is_standalone)
+ if (CLAZY_LINK_CLANG_DYLIB)
+ target_link_libraries(${name} clang-cpp)
+@@ -131,6 +135,7 @@ macro(link_to_llvm name is_standalone)
+
+ target_link_libraries(${name} ${clang_lib})
+ endforeach()
++ target_link_libraries(${name} ${clang_support_lib})
+ target_link_libraries(${name} clangTooling)
+ target_link_libraries(${name} clangToolingCore)
+ target_link_libraries(${name} ${clang_tooling_refactoring_lib})
+@@ -302,6 +307,7 @@ else()
+ clangFrontendTool
+ clangRewrite
+ clangSerialization
++ ${clang_support_lib}
+ clangTooling
+ clangStaticAnalyzerCheckers
+ clangStaticAnalyzerCore
+diff --git a/src/PreProcessorVisitor.cpp b/src/PreProcessorVisitor.cpp
+index 5e63a131..5fdfe5f3 100644
+--- a/src/PreProcessorVisitor.cpp
++++ b/src/PreProcessorVisitor.cpp
+@@ -185,7 +185,7 @@ void PreProcessorVisitor::MacroExpands(const Token &MacroNameTok, const MacroDef
+
+ void PreProcessorVisitor::InclusionDirective (clang::SourceLocation, const clang::Token &,
+ clang::StringRef FileName, bool IsAngled, clang::CharSourceRange FilenameRange,
+- const clang::FileEntry *, clang::StringRef, clang::StringRef,
++ clazy::OptionalFileEntryRef, clang::StringRef, clang::StringRef,
+ const clang::Module *, clang::SrcMgr::CharacteristicKind)
+ {
+ if (m_ci.getPreprocessor().isInPrimaryFile() && !clazy::endsWith(FileName.str(), ".moc")) {
+diff --git a/src/PreProcessorVisitor.h b/src/PreProcessorVisitor.h
+index dc80ff36..1bb17a5e 100644
+--- a/src/PreProcessorVisitor.h
++++ b/src/PreProcessorVisitor.h
+@@ -71,7 +71,7 @@ protected:
+ clang::SourceRange range, const clang::MacroArgs *) override;
+ void InclusionDirective (clang::SourceLocation HashLoc, const clang::Token &IncludeTok,
+ clang::StringRef FileName, bool IsAngled, clang::CharSourceRange FilenameRange,
+- const clang::FileEntry *File, clang::StringRef SearchPath, clang::StringRef RelativePath,
++ clazy::OptionalFileEntryRef File, clang::StringRef SearchPath, clang::StringRef RelativePath,
+ const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType) override;
+ private:
+ std::string getTokenSpelling(const clang::MacroDefinition &) const;
+diff --git a/src/SourceCompatibilityHelpers.h b/src/SourceCompatibilityHelpers.h
+index 4ea923a2..c1a23a4b 100644
+--- a/src/SourceCompatibilityHelpers.h
++++ b/src/SourceCompatibilityHelpers.h
+@@ -144,6 +144,21 @@ inline bool contains_lower(clang::StringRef haystack, clang::StringRef needle)
+ #endif
+ }
+
++#if LLVM_VERSION_MAJOR >= 15
++using OptionalFileEntryRef = clang::Optional<clang::FileEntryRef>;
++#else
++using OptionalFileEntryRef = const clang::FileEntry*;
++#endif
++
++inline bool isAscii(clang::StringLiteral *lt)
++{
++#if LLVM_VERSION_MAJOR >= 15
++ return lt->isOrdinary();
++#else
++ return lt->isAscii();
++#endif
++}
++
+ }
+
+ #endif
+diff --git a/src/Utils.cpp b/src/Utils.cpp
+index 3cdf7876..70e0577c 100644
+--- a/src/Utils.cpp
++++ b/src/Utils.cpp
+@@ -25,6 +25,7 @@
+ #include "Utils.h"
+ #include "StringUtils.h"
+ #include "HierarchyUtils.h"
++#include "SourceCompatibilityHelpers.h"
+ #include "StmtBodyRange.h"
+ #include "clazy_stl.h"
+
+@@ -670,7 +671,7 @@ const CXXRecordDecl *Utils::recordForMemberCall(CXXMemberCallExpr *call, string
+ bool Utils::isAscii(StringLiteral *lt)
+ {
+ // 'é' for some reason has isAscii() == true, so also call containsNonAsciiOrNull
+- return lt && lt->isAscii() && !lt->containsNonAsciiOrNull();
++ return lt && clazy::isAscii(lt) && !lt->containsNonAsciiOrNull();
+ }
+
+ bool Utils::isInDerefExpression(Stmt *s, ParentMap *map)
+diff --git a/src/checkbase.cpp b/src/checkbase.cpp
+index f5936dfd..dcc7c999 100644
+--- a/src/checkbase.cpp
++++ b/src/checkbase.cpp
+@@ -105,7 +105,7 @@ void ClazyPreprocessorCallbacks::MacroDefined(const Token &macroNameTok, const M
+ }
+
+ void ClazyPreprocessorCallbacks::InclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType)
+ {
+ check->VisitInclusionDirective(HashLoc, IncludeTok, FileName, IsAngled, FilenameRange, File, SearchPath, RelativePath, Imported, FileType);
+@@ -182,7 +182,7 @@ void CheckBase::VisitEndif(SourceLocation, SourceLocation)
+ }
+
+ void CheckBase::VisitInclusionDirective(clang::SourceLocation , const clang::Token &, clang::StringRef , bool ,
+- clang::CharSourceRange , const clang::FileEntry *, clang::StringRef ,
++ clang::CharSourceRange , clazy::OptionalFileEntryRef, clang::StringRef ,
+ clang::StringRef , const clang::Module *, clang::SrcMgr::CharacteristicKind )
+ {
+ // Overriden in derived classes
+diff --git a/src/checkbase.h b/src/checkbase.h
+index c5db2daf..02f6a6bf 100644
+--- a/src/checkbase.h
++++ b/src/checkbase.h
+@@ -91,7 +91,7 @@ public:
+ void Else(clang::SourceLocation loc, clang::SourceLocation ifLoc) override;
+ void Endif(clang::SourceLocation loc, clang::SourceLocation ifLoc) override;
+ void InclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType) override;
+ private:
+ CheckBase *const check;
+@@ -151,7 +151,7 @@ protected:
+ virtual void VisitElse(clang::SourceLocation loc, clang::SourceLocation ifLoc);
+ virtual void VisitEndif(clang::SourceLocation loc, clang::SourceLocation ifLoc);
+ virtual void VisitInclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType);
+
+ void enablePreProcessorCallbacks();
+diff --git a/src/checks/manuallevel/qt6-fwd-fixes.cpp b/src/checks/manuallevel/qt6-fwd-fixes.cpp
+index 83bf81ee..c87d9ca0 100644
+--- a/src/checks/manuallevel/qt6-fwd-fixes.cpp
++++ b/src/checks/manuallevel/qt6-fwd-fixes.cpp
+@@ -166,7 +166,7 @@ void Qt6FwdFixes::VisitDecl(clang::Decl *decl)
+ }
+
+ void Qt6FwdFixes::VisitInclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType)
+ {
+ auto current_file = m_sm.getFilename(HashLoc);
+diff --git a/src/checks/manuallevel/qt6-fwd-fixes.h b/src/checks/manuallevel/qt6-fwd-fixes.h
+index 37b59d95..bb928ba6 100644
+--- a/src/checks/manuallevel/qt6-fwd-fixes.h
++++ b/src/checks/manuallevel/qt6-fwd-fixes.h
+@@ -47,7 +47,7 @@ public:
+ explicit Qt6FwdFixes(const std::string &name, ClazyContext *context);
+ void VisitDecl(clang::Decl *decl) override;
+ void VisitInclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType) override;
+ bool m_including_qcontainerfwd = false;
+ std::set<clang::StringRef> m_qcontainerfwd_included_in_files;
+diff --git a/src/checks/manuallevel/qt6-header-fixes.cpp b/src/checks/manuallevel/qt6-header-fixes.cpp
+index d458b77c..aaa28093 100644
+--- a/src/checks/manuallevel/qt6-header-fixes.cpp
++++ b/src/checks/manuallevel/qt6-header-fixes.cpp
+@@ -270,7 +270,7 @@ Qt6HeaderFixes::Qt6HeaderFixes(const std::string &name, ClazyContext *context)
+ }
+
+ void Qt6HeaderFixes::VisitInclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType)
+ {
+ if (shouldIgnoreFile(HashLoc))
+diff --git a/src/checks/manuallevel/qt6-header-fixes.h b/src/checks/manuallevel/qt6-header-fixes.h
+index ae09f7ad..8ffbb100 100644
+--- a/src/checks/manuallevel/qt6-header-fixes.h
++++ b/src/checks/manuallevel/qt6-header-fixes.h
+@@ -46,7 +46,7 @@ class Qt6HeaderFixes
+ public:
+ explicit Qt6HeaderFixes(const std::string &name, ClazyContext *context);
+ void VisitInclusionDirective(clang::SourceLocation HashLoc, const clang::Token &IncludeTok, clang::StringRef FileName, bool IsAngled,
+- clang::CharSourceRange FilenameRange, const clang::FileEntry *File, clang::StringRef SearchPath,
++ clang::CharSourceRange FilenameRange, clazy::OptionalFileEntryRef File, clang::StringRef SearchPath,
+ clang::StringRef RelativePath, const clang::Module *Imported, clang::SrcMgr::CharacteristicKind FileType) override;
+
+ };
+--
+GitLab
+
diff --git a/dev-util/clazy/files/clazy-1.11-fix-regex-detect.patch b/dev-util/clazy/files/clazy-1.11-fix-regex-detect.patch
new file mode 100644
index 000000000000..a60206365ea1
--- /dev/null
+++ b/dev-util/clazy/files/clazy-1.11-fix-regex-detect.patch
@@ -0,0 +1,25 @@
+From 336b54f28250938cc2a8d7bb78e638e79b6467d5 Mon Sep 17 00:00:00 2001
+From: Hannah von Reth <vonreth@kde.org>
+Date: Fri, 8 Jul 2022 11:19:22 +0000
+Subject: [PATCH] Fix regex detection
+
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 434a57c9..3c780b0d 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -81,7 +81,7 @@ endif()
+
+ # Look for std::regex support
+ message("Looking for std::regex support...")
+-try_run(REGEX_RUN_RESULT COMPILE_RESULT ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_LIST_DIR}/.cmake_has_regex_test.cpp)
++try_run(REGEX_RUN_RESULT COMPILE_RESULT ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_LIST_DIR}/.cmake_has_regex_test.cpp CXX_STANDARD 17 CXX_STANDARD_REQUIRED true)
+
+ if(NOT REGEX_RUN_RESULT EQUAL 0)
+ message("Using boost::regex instead of std::regex")
+--
+GitLab
+
diff --git a/dev-util/dbus-test-runner/Manifest b/dev-util/dbus-test-runner/Manifest
index fdfab4d8c690..5f991fa41f56 100644
--- a/dev-util/dbus-test-runner/Manifest
+++ b/dev-util/dbus-test-runner/Manifest
@@ -1,4 +1,4 @@
AUX dbus-test-runner-19.04.0-fix-deprecation-warnings.patch 1197 BLAKE2B 47323d9a859b24e478732be15a33ad5f96cb692d03132ee2923bca041bfef38b40cb54e3fc16f0ecc2232029fee80d5fbd03410a32dc93dc3acc580bd099118c SHA512 41c283e256df1d2436d1d3cb1ebdb1e89971dba17eec588800cba5f65da10766de523f0f891e559c405c6fa05ae020525ee30d7b15f57e55dd9681d5ad2ae78c
DIST dbus-test-runner-19.04.0.tar.gz 444289 BLAKE2B dc3b11c8d376103b320d98d211bf1ace035a2de5a1caceadd946bfdc46a6aab3fcf69fae15c7142500b9487a9832275a6157f887c8efcbbb56d13c8841609dd0 SHA512 5906225f0ce429ea218d7eb4c67281b7ef368d6a173965b214f4f4501e729002ca3293a94fd8afd3002f301cd1f2208cba01c733f678c2d51661220e8a7ce971
-EBUILD dbus-test-runner-19.04.0-r2.ebuild 1353 BLAKE2B b3ecc2d39b1d805e5ef3e97122d5fa8b3dabcdb6b76c48f423e5250bc92ba4131cf704f440c87c6568c4d4d232804831c6d09faabf1f3e1c125e6a08202e0220 SHA512 d01acd413c25e381404da2f9a5c3f291e0fdfd72a33a8eb2ac96f86e25db8dce88d2ae83da61204a4046ad1d2b53a1a82b4b471ea1cc4e32c3612a3d03f0d2c8
+EBUILD dbus-test-runner-19.04.0-r2.ebuild 1353 BLAKE2B 8829eca8effb3e134233c9265ae02a2456d29e683e6c3f2731fd8e4c6c6933b8dd127bd049b433f3395edaec32aac913127e61b9ada171754e2d6f13e6bf66e2 SHA512 2261da83da9f81ee571bdb555aff7e6c7a59addb6f96ac8feef453b2ed4dd5e1e21f5eba23eb89f6834323f5b7e305a565811513b834acacc4f33538aa7edc6a
MISC metadata.xml 334 BLAKE2B 27ab7a8e8a84b7a33f23751ebe0957ee5275e95f97ace2983a3b1f05235cc5aff143b18ab4ce6deb611fabb34d2ab749cf110e682cbc250f5170ef72bfc66439 SHA512 a3208a00f3d7eda6ed24c70fde9eae4ce763c2ae20225fd41e430362e14ad6796ac43c5a9ae1926f44c2210fb4eb81885b6f37031197e34358398a4072b1d93d
diff --git a/dev-util/dbus-test-runner/dbus-test-runner-19.04.0-r2.ebuild b/dev-util/dbus-test-runner/dbus-test-runner-19.04.0-r2.ebuild
index 0b62cdc9c08f..db7277dba83f 100644
--- a/dev-util/dbus-test-runner/dbus-test-runner-19.04.0-r2.ebuild
+++ b/dev-util/dbus-test-runner/dbus-test-runner-19.04.0-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit python-single-r1
DESCRIPTION="Run executables under a new DBus session for testing"
diff --git a/dev-util/gdbus-codegen/Manifest b/dev-util/gdbus-codegen/Manifest
index 7ef92c527574..58ea0f14af7e 100644
--- a/dev-util/gdbus-codegen/Manifest
+++ b/dev-util/gdbus-codegen/Manifest
@@ -2,6 +2,8 @@ AUX gdbus-codegen-2.56.1-sitedir.patch 1898 BLAKE2B 2d3530f2c0e249254d170a7c0f19
AUX setup.py-2.32.4 192 BLAKE2B 574320d89095d1452a3eee4404b5ebb19fbed32febf2a15422d276bc8dfb6790c41b7214aad3f88ee4927b58de639146cbf633f735df693bd437ea19eae79435 SHA512 45e823f507db103543f024ad557d35f7c09fb51db8a78b978c762ca77d941cdecc5837d2b248fc2c5da6a93b56fe8ded359efd98fb0a74fdf9533783d8eebcfa
DIST glib-2.72.3.tar.xz 4893484 BLAKE2B 1360c887b07ede3de3a7d31589f3dfc07ada2fe3e7901d3f30048ab9a1379357753ae142c6c107b3fcd6dd61e1401fbe6db22f0e89ea617db2c1073f1900cbe6 SHA512 8834ab7498577c2f659d135b87c27b34e1157be27f6c1fe5af0d64a94654f78cbe6a87e6868966849674c34e88a9d51d2de8d89f78f86aa1e1af3482761f0638
DIST glib-2.74.0.tar.xz 5183072 BLAKE2B b21e5a72e2ce3390cbf13601aa902104f1ac1cfbd75181d30cd340f24b5875753f898b229f99c71d47d499be86cddb0191a0072c0c2decc82956a46c16255905 SHA512 5cdadd2f4568c0c3d45083b4d39699abf651e42e020f7bc880cce3ff33d28943118388d17a0632777e843f48009c1f97d5634fde3cb8c69c7c7f35b278ac8225
+DIST glib-2.74.1.tar.xz 5189452 BLAKE2B 58d977a5d2a100aa9125f2009ae66c6f27232dff70159433076552bdb64f9a6a93d7cb705feba890ee43d6f16d4766f6f1d5502c2e01eeb7e88d5ed0dd205d5c SHA512 21176cb95fcab49a781d02789bf21191a96a34a6391f066699b3c20b414b3169c958bd86623deb34ca55912083862885f7a7d12b67cc041467da2ba94d9e83c3
EBUILD gdbus-codegen-2.72.3.ebuild 2193 BLAKE2B 5bbd1717305885363c6221e48488dd2d3aa23ea8bc49c561f420f5029c63cdf528fb027027d00b42dc54386c1ec3be6958b56289ed71287d28f04224cdf908cd SHA512 54a411c57910e57f033b92a437d44f1af9f4d7fb72b361b86ecb69fc38f39cac44aa45e95dae7fccbbed94f5043e703a2c71ff9464f54cdc3a3c274559ba3684
EBUILD gdbus-codegen-2.74.0.ebuild 2205 BLAKE2B bfafd9b08250c6a2ecdcf43150ce1e73a5830dd5b3b25d8095e60cdf2396d871698f23525a7aa9395669191a5a507c9f8cd53d2215e9b83e6d907eef2315c963 SHA512 2d7fdca3ea1983f1fde3b6b1759c68faa515995030586cb62dc4e836d7b62da0ae03686c5316fe4b8ec66e320d7cc7cd58c159b9a8009c665be51600e0134da7
+EBUILD gdbus-codegen-2.74.1.ebuild 2205 BLAKE2B bfafd9b08250c6a2ecdcf43150ce1e73a5830dd5b3b25d8095e60cdf2396d871698f23525a7aa9395669191a5a507c9f8cd53d2215e9b83e6d907eef2315c963 SHA512 2d7fdca3ea1983f1fde3b6b1759c68faa515995030586cb62dc4e836d7b62da0ae03686c5316fe4b8ec66e320d7cc7cd58c159b9a8009c665be51600e0134da7
MISC metadata.xml 250 BLAKE2B 8f7f0fe023d43e380e7861e897e6afcb5de4baefb42ea9c65a57dfc0d204c6f787a99295141832e732ebb08be218da56ba77e2dd9639e4e3aabf718ce4db1d0c SHA512 2684e772dd6d83e4b49f08f2ba22d8a0a753e7b46863489eff1b5d1f2f147ad80ffd93245ca405ac4c747249bc1b754454ec9865fe16da70f9b257051e105fd8
diff --git a/dev-util/gdbus-codegen/gdbus-codegen-2.74.1.ebuild b/dev-util/gdbus-codegen/gdbus-codegen-2.74.1.ebuild
new file mode 100644
index 000000000000..6964fb9fd48a
--- /dev/null
+++ b/dev-util/gdbus-codegen/gdbus-codegen-2.74.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+GNOME_ORG_MODULE="glib"
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="xml(+)"
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit gnome.org distutils-r1
+
+DESCRIPTION="GDBus code and documentation generator"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+"
+
+S="${WORKDIR}/glib-${PV}/gio/gdbus-2.0/codegen"
+
+python_prepare_all() {
+ PATCHES=(
+ "${FILESDIR}/${PN}-2.56.1-sitedir.patch"
+ )
+ distutils-r1_python_prepare_all
+
+ local MAJOR_VERSION=$(ver_cut 1)
+ local MINOR_VERSION=$(ver_cut 2)
+ sed -e 's:@PYTHON@:python:' gdbus-codegen.in > gdbus-codegen || die
+ sed -e "s:@VERSION@:${PV}:" \
+ -e "s:@MAJOR_VERSION@:${MAJOR_VERSION}:" \
+ -e "s:@MINOR_VERSION@:${MINOR_VERSION}:" config.py.in > config.py || die
+ cp "${FILESDIR}/setup.py-2.32.4" setup.py || die "cp failed"
+ sed -e "s/@PV@/${PV}/" -i setup.py || die "sed setup.py failed"
+}
+
+do_xsltproc_command() {
+ # Taken from meson.build for manual manpage building - keep in sync (also copied to dev-util/glib-utils)
+ xsltproc \
+ --nonet \
+ --stringparam man.output.quietly 1 \
+ --stringparam funcsynopsis.style ansi \
+ --stringparam man.th.extra1.suppress 1 \
+ --stringparam man.authors.section.enabled 0 \
+ --stringparam man.copyright.section.enabled 0 \
+ -o "${2}" \
+ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
+ "${1}" || die "manpage generation failed"
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ do_xsltproc_command "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.xml" "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}
+
+src_test() {
+ einfo "Skipping tests. This package is tested by dev-libs/glib"
+ einfo "when merged with FEATURES=test"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all # no-op, but prevents QA warning
+ doman "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}
diff --git a/dev-util/glib-utils/Manifest b/dev-util/glib-utils/Manifest
index 4e7f9178aea2..3950abcc1013 100644
--- a/dev-util/glib-utils/Manifest
+++ b/dev-util/glib-utils/Manifest
@@ -1,5 +1,7 @@
DIST glib-2.72.3.tar.xz 4893484 BLAKE2B 1360c887b07ede3de3a7d31589f3dfc07ada2fe3e7901d3f30048ab9a1379357753ae142c6c107b3fcd6dd61e1401fbe6db22f0e89ea617db2c1073f1900cbe6 SHA512 8834ab7498577c2f659d135b87c27b34e1157be27f6c1fe5af0d64a94654f78cbe6a87e6868966849674c34e88a9d51d2de8d89f78f86aa1e1af3482761f0638
DIST glib-2.74.0.tar.xz 5183072 BLAKE2B b21e5a72e2ce3390cbf13601aa902104f1ac1cfbd75181d30cd340f24b5875753f898b229f99c71d47d499be86cddb0191a0072c0c2decc82956a46c16255905 SHA512 5cdadd2f4568c0c3d45083b4d39699abf651e42e020f7bc880cce3ff33d28943118388d17a0632777e843f48009c1f97d5634fde3cb8c69c7c7f35b278ac8225
+DIST glib-2.74.1.tar.xz 5189452 BLAKE2B 58d977a5d2a100aa9125f2009ae66c6f27232dff70159433076552bdb64f9a6a93d7cb705feba890ee43d6f16d4766f6f1d5502c2e01eeb7e88d5ed0dd205d5c SHA512 21176cb95fcab49a781d02789bf21191a96a34a6391f066699b3c20b414b3169c958bd86623deb34ca55912083862885f7a7d12b67cc041467da2ba94d9e83c3
EBUILD glib-utils-2.72.3.ebuild 2332 BLAKE2B eae0be3ecd001de535ff7db1483b93bdcc5405ed13935073cec2c4c92755bbe6628f86c9477396b54280384f16487af9b842dd92b7214e8e127e7affbfd68520 SHA512 2095a7aa280bbff2ce40745fc1e349fcc8fd890634b4303ff1b65b7410d0f8f30e6ff05f7f580650b48dbdc2c682a82475d0cf1c6e791da6c20eea2a259f9ea1
EBUILD glib-utils-2.74.0.ebuild 2340 BLAKE2B 76f931baf38bb3e77988477867d576576aef408a629a10b20e5ae6a7fae2b4c8ff8f108d7f4cd23efc1a17c4f8809c537190394fc7cbfb3c3a777d7b9df18fcb SHA512 ad137f2ee9ea091e5ddb4d2ba7455cba82b003d748ffa0ae56cf53e6e443b029f0558b9b7632c4d50ae36a55904dff54cec99bc2d49ee609054fadac9c79f144
+EBUILD glib-utils-2.74.1.ebuild 2340 BLAKE2B 76f931baf38bb3e77988477867d576576aef408a629a10b20e5ae6a7fae2b4c8ff8f108d7f4cd23efc1a17c4f8809c537190394fc7cbfb3c3a777d7b9df18fcb SHA512 ad137f2ee9ea091e5ddb4d2ba7455cba82b003d748ffa0ae56cf53e6e443b029f0558b9b7632c4d50ae36a55904dff54cec99bc2d49ee609054fadac9c79f144
MISC metadata.xml 333 BLAKE2B 70d0e83f8a0437baadea4b6771019a55d0d6f6a292bcb4263a7d811ec0b63a2ee4838b94371e03d62c4c43678eb7ae542b611166e2aecdea8c5194955ef1cda3 SHA512 0eab24184eba31bfda9752b62211472d6d8607644a2a3c2352a4483bc34975b87252aa5482a76499c5afe30414a75ba5958bd5bbf1bc755850806824e4267031
diff --git a/dev-util/glib-utils/glib-utils-2.74.1.ebuild b/dev-util/glib-utils/glib-utils-2.74.1.ebuild
new file mode 100644
index 000000000000..c715c1e6fd52
--- /dev/null
+++ b/dev-util/glib-utils/glib-utils-2.74.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..11} )
+GNOME_ORG_MODULE="glib"
+
+inherit gnome.org python-single-r1
+
+DESCRIPTION="Build utilities for GLib using projects"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0" # /usr/bin utilities that can't be parallel installed by their nature
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+"
+
+src_configure() { :; }
+
+do_xsltproc_command() {
+ # Taken from meson.build for manual manpage building - keep in sync (also copied to dev-util/gdbus-codegen)
+ xsltproc \
+ --nonet \
+ --stringparam man.output.quietly 1 \
+ --stringparam funcsynopsis.style ansi \
+ --stringparam man.th.extra1.suppress 1 \
+ --stringparam man.authors.section.enabled 0 \
+ --stringparam man.copyright.section.enabled 0 \
+ -o "${2}" \
+ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
+ "${1}" || die "manpage generation failed"
+}
+
+src_compile() {
+ sed -e "s:@VERSION@:${PV}:g;s:@PYTHON@:python:g" gobject/glib-genmarshal.in > gobject/glib-genmarshal || die
+ sed -e "s:@VERSION@:${PV}:g;s:@PYTHON@:python:g" gobject/glib-mkenums.in > gobject/glib-mkenums || die
+ sed -e "s:@GLIB_VERSION@:${PV}:g;s:@PYTHON@:python:g" glib/gtester-report.in > glib/gtester-report || die
+ do_xsltproc_command docs/reference/gobject/glib-genmarshal.xml docs/reference/gobject/glib-genmarshal.1
+ do_xsltproc_command docs/reference/gobject/glib-mkenums.xml docs/reference/gobject/glib-mkenums.1
+ do_xsltproc_command docs/reference/glib/gtester-report.xml docs/reference/glib/gtester-report.1
+}
+
+src_install() {
+ python_fix_shebang gobject/glib-genmarshal
+ python_fix_shebang gobject/glib-mkenums
+ python_fix_shebang glib/gtester-report
+ exeinto /usr/bin
+ doexe gobject/glib-genmarshal
+ doexe gobject/glib-mkenums
+ doexe glib/gtester-report
+ doman docs/reference/gobject/glib-genmarshal.1
+ doman docs/reference/gobject/glib-mkenums.1
+ doman docs/reference/glib/gtester-report.1
+}
diff --git a/dev-util/kdevelop-pg-qt/Manifest b/dev-util/kdevelop-pg-qt/Manifest
index 06dbca1f7941..6418c7d6a6f6 100644
--- a/dev-util/kdevelop-pg-qt/Manifest
+++ b/dev-util/kdevelop-pg-qt/Manifest
@@ -1,5 +1,3 @@
-DIST kdevelop-pg-qt-2.2.1.tar.xz 660904 BLAKE2B b3874ee4f36d43f6d39a28a79f4638601340ce0545c2fe965393e9fe266a960e904ce5cd3215a7903f7b011f2e138d3be8999563366ce796f50524084a36192b SHA512 0ef3daba60ee6c7d4602b31610bdc68709a730d4c3443770eac1aa1d298fc03e10b38bc0d2e34dd44df5bba1c3af945c87e80d8aaa818e0b1787121f056c78a9
DIST kdevelop-pg-qt-2.2.1_p20220904-72138ed0.tar.gz 1131103 BLAKE2B a388fa38e27115912af7a589f43dc6f95f4af4790435bfda6344fa62245acb37254d86df48bda9201dc6341dc88f04d4bba7c3cfae90189a88e506af66fab95c SHA512 953dc8e76a7cf8d46963ec3b41252b9b19a03275469cfc145b649ef999df1b8aa8f45666616ee56c139eeb4b1e90e6f2fd85d18a1c2371a6133da674ce187106
-EBUILD kdevelop-pg-qt-2.2.1.ebuild 498 BLAKE2B 038fb285a2011f3ac700b5520c3ed1a509afce247a15697be0fae25b51a57253de8cf2586316d989cb48ee14aeb92e3ef99dd708c49c1ef1f63ff3e380152bf2 SHA512 dbc69484eef95d7cc080babc687e08ee4f4a81bf7a4513cf814b6f03deefd0aad4eddf02779ba568b437cae9987aa8b50635a7ab0bab96f0526bfe776632dd66
-EBUILD kdevelop-pg-qt-2.2.1_p20220904.ebuild 466 BLAKE2B 39701f4f18b08001efc267514f9519334cb78aacae58f305a7abb143b3e7348bae44ea5473a30572c60791aa9c3d0b32ed14d93fbe7dc854e958e532079fb90b SHA512 f6c7b32223c3acb4c8db074ff61d517944d3c4aaca15a82f652afb505d782455210b4d05aba01c8b2da6625d73cc3bb70103340f77ad7481ce83cd76320f8a0d
+EBUILD kdevelop-pg-qt-2.2.1_p20220904.ebuild 465 BLAKE2B c1c6ecfcf98744dd9707c8cbc75d26d9ebcd379a2d59c6f575f0de4409b2e037123652319f266fc5ebcfbe292b098d8a21d1e46987af315734197af223b1375d SHA512 1a0586331e834122c6f5b2605a848d3c2c713b37a932e89813a7a70f4fbdf2289518db416be93698c1aad14f8c387cb088668a2eda94edc1b78699ce5a894afd
MISC metadata.xml 318 BLAKE2B 922a5e32e706b2976c5f359a14194d268d3f499398576c80ce5fad8c0fcea0fbf048de4480a80a6a1889c88b8b6c14147654a3ab4d5ffbcc258c2290da63f6d1 SHA512 614cb8dda7ad2088e5d6ef39b449bb4be0ac72cd0231c320188d76d1816dce6490c5114bb4798112c4b11d99d30a9e82ff8fcf08ffa8c049589682a5e38208f6
diff --git a/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1.ebuild b/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1.ebuild
deleted file mode 100644
index 53c7d4871d4f..000000000000
--- a/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-ECM_TEST="true"
-inherit ecm kde.org
-
-if [[ ${KDE_BUILD_TYPE} = release ]]; then
- SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
- KEYWORDS="amd64 arm64 ~ppc64 x86"
-fi
-
-DESCRIPTION="LL(1) parser generator used mainly by KDevelop language plugins"
-HOMEPAGE="https://www.kdevelop.org/"
-
-LICENSE="LGPL-2+ LGPL-2.1+"
-SLOT="5"
-IUSE=""
-
-BDEPEND="
- sys-devel/bison
- sys-devel/flex
-"
diff --git a/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1_p20220904.ebuild b/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1_p20220904.ebuild
index 3b364b840ecc..a8425ea8b6c4 100644
--- a/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1_p20220904.ebuild
+++ b/dev-util/kdevelop-pg-qt/kdevelop-pg-qt-2.2.1_p20220904.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://kdevelop.org/"
LICENSE="LGPL-2+ LGPL-2.1+"
SLOT="5"
-KEYWORDS="amd64 ~arm64 ~ppc64 x86"
+KEYWORDS="amd64 arm64 ~ppc64 x86"
BDEPEND="
sys-devel/bison